Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.functions.text
Class AbstractMatchFunction

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.Function
                  org.exist.xquery.functions.ExtRegexp
                      org.exist.xquery.functions.text.AbstractMatchFunction

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

Direct Known Subclasses:
  FuzzyMatchAll

public abstract class AbstractMatchFunction
extends ExtRegexp

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary

Fields inherited from class org.exist.xquery.functions.ExtRegexp
`signature`

Fields inherited from class org.exist.xquery.Function
`BUILTIN_FUNCTION_NS`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`AbstractMatchFunction(XQueryContext context, int type, FunctionSignature signature)`

Method Summary
`abstract Sequence` | `evalQuery(NodeSet nodes, java.util.List terms)`
`NodeSet` | `mergeResults(NodeSet[] hits)`

Methods inherited from class org.exist.xquery.functions.ExtRegexp
`eval, getDependencies, resetState`

Methods inherited from class org.exist.xquery.Function
`analyze, createFunction, dump, getArgument, getArgumentCount, getArguments, getASTNode, getCardinality, getName, getParent, getSignature, isCalledAs, returnsType, setArguments, setASTNode, setParent, setPrimaryAxis, toString`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, setContext, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId, setContextDocSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Constructor Detail

### AbstractMatchFunction

    public AbstractMatchFunction(XQueryContext context,
                                 int type,
                                 FunctionSignature signature)

Method Detail

### evalQuery

    public abstract Sequence evalQuery(NodeSet nodes,
                                       java.util.List terms)
                                throws XPathException

  Overrides:
    `evalQuery` in class `ExtRegexp`
  Throws:
    `XPathException`

### mergeResults

    public NodeSet mergeResults(NodeSet[] hits)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.